// ===========================================================================
//	File:					LEnhancedEditField.h
//	Version:				1.0 - Feb 08, 1996
//
//	Copyright 1996 Mike Shields All rights reserved.
// ===========================================================================
//	LEnhancedEditField.cp		<- double-click + Command-D to see class definition
//
#pragma once

#include <LEditField.h>

class LEnhancedEditField : public LEditField {
public:
	enum { class_ID = 'edit' };
	static LEnhancedEditField*	
				CreateEditFieldStream(LStream *inStream);

				LEnhancedEditField();
				LEnhancedEditField(
								const LEnhancedEditField	&inOriginal);
				LEnhancedEditField(
								const SPaneInfo		&inPaneInfo,
								Str255				inString,
								ResIDT				inTextTraitsID,
								Int16				inMaxChars,
								Boolean				inHasBox,
								Boolean				inHasWordWrap,
								KeyFilterFunc		inKeyFilter,
								LCommander			*inSuper);
				LEnhancedEditField(
								const SPaneInfo		&inPaneInfo,
								Str255				inString,
								ResIDT				inTextTraitsID,
								Int16				inMaxChars,
								Uint8				inAttributes,
								KeyFilterFunc		inKeyFilter,
								LCommander			*inSuper);
				LEnhancedEditField(
								LStream				*inStream);
	virtual		~LEnhancedEditField();

protected:
	virtual void		DrawSelf();	
	virtual void		DrawBox();

private:
	void PaintDisabled(Rect *inDrawRect);
};
